import { createCategory as publicCreateCategory, updateCategory as publicUpdateCategory, getCategory as publicGetCategory, getCategoryBySlug as publicGetCategoryBySlug, listCategories as publicListCategories, queryCategories as publicQueryCategories, deleteCategory as publicDeleteCategory } from './blog-v3-category-categories.public.js';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
import { onCategoryCreated as publicOnCategoryCreated } from './blog-v3-category-categories.public.js';
import { onCategoryDeleted as publicOnCategoryDeleted } from './blog-v3-category-categories.public.js';
import { onCategoryUpdated as publicOnCategoryUpdated } from './blog-v3-category-categories.public.js';
export declare const createCategory: MaybeContext<BuildRESTFunction<typeof publicCreateCategory> & typeof publicCreateCategory>;
export declare const updateCategory: MaybeContext<BuildRESTFunction<typeof publicUpdateCategory> & typeof publicUpdateCategory>;
export declare const getCategory: MaybeContext<BuildRESTFunction<typeof publicGetCategory> & typeof publicGetCategory>;
export declare const getCategoryBySlug: MaybeContext<BuildRESTFunction<typeof publicGetCategoryBySlug> & typeof publicGetCategoryBySlug>;
export declare const listCategories: MaybeContext<BuildRESTFunction<typeof publicListCategories> & typeof publicListCategories>;
export declare const queryCategories: MaybeContext<BuildRESTFunction<typeof publicQueryCategories> & typeof publicQueryCategories>;
export declare const deleteCategory: MaybeContext<BuildRESTFunction<typeof publicDeleteCategory> & typeof publicDeleteCategory>;
/**
 * Triggered when a category is created.
 */
export declare const onCategoryCreated: ReturnType<typeof createEventModule<typeof publicOnCategoryCreated>>;
/**
 * Triggered when a category is deleted.
 */
export declare const onCategoryDeleted: ReturnType<typeof createEventModule<typeof publicOnCategoryDeleted>>;
/**
 * Triggered when a category is updated.
 */
export declare const onCategoryUpdated: ReturnType<typeof createEventModule<typeof publicOnCategoryUpdated>>;
export { Field, SortOrder, WebhookIdentityType, } from './blog-v3-category-categories.universal.js';
export { Category, SeoSchema, Keyword, Tag, Settings, FocalPoint, CategoryTranslation, InitialCategoriesCopied, CreateCategoryRequest, CreateCategoryResponse, BulkCreateCategoriesRequest, BulkCreateCategoriesResponse, BulkCategoryResult, ItemMetadata, ApplicationError, BulkActionMetadata, BulkUpdateCategoriesRequest, MaskedCategory, BulkUpdateCategoriesResponse, UpdateCategoryRequest, UpdateCategoryResponse, GetCategoriesCountByLanguageRequest, GetCategoriesCountByLanguageResponse, CategoryLanguageCount, GetCategoryRequest, GetCategoryResponse, GetCategoryBySlugRequest, GetCategoryBySlugResponse, ListCategoriesRequest, BlogPaging, ListCategoriesResponse, MetaData, QueryCategoriesRequest, PlatformQuery, PlatformQueryPagingMethodOneOf, Sorting, Paging, CursorPaging, QueryCategoriesResponse, PagingMetadataV2, Cursors, BulkDeleteCategoryRequest, BulkDeleteCategoryResponse, DeleteCategoryRequest, DeleteCategoryResponse, DomainEvent, DomainEventBodyOneOf, EntityCreatedEvent, RestoreInfo, EntityUpdatedEvent, EntityDeletedEvent, ActionEvent, MessageEnvelope, IdentificationData, IdentificationDataIdOneOf, CategoryNonNullableFields, CreateCategoryResponseNonNullableFields, UpdateCategoryResponseNonNullableFields, GetCategoryResponseNonNullableFields, GetCategoryBySlugResponseNonNullableFields, ListCategoriesResponseNonNullableFields, QueryCategoriesResponseNonNullableFields, BaseEventMetadata, EventMetadata, CategoryCreatedEnvelope, CategoryDeletedEnvelope, CategoryUpdatedEnvelope, CreateCategoryOptions, UpdateCategory, UpdateCategoryOptions, GetCategoryOptions, GetCategoryBySlugOptions, ListCategoriesOptions, QueryCategoriesOptions, CategoriesQueryResult, CategoriesQueryBuilder, } from './blog-v3-category-categories.universal.js';
